PI Can't find Qt Platform Plugin (Repost from General)

btracy

Member
Sep 24, 2013
11
0
New install of Ubuntu 20.04 on a new machine, PI 1.8.8-6 downloaded and extracted per Juan's instruction found in the Forum. Installation was performed with any reported errors. Trying to run PixInsight.sh from PixInsight/bin results in this error message:

bob@bob-Precision-T7610:/opt/PixInsight/bin$ ./PixInsight.sh

PixInsight Core 1.8.8-6 Ripley (x64)
Copyright (c) 2003-2020 Pleiades Astrophoto

This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs (from /opt/PixInsight/bin/./lib/qt-plugins/platforms), linuxfb (from /opt/PixInsight/bin/./lib/qt-plugins/platforms), minimal (from /opt/PixInsight/bin/./lib/qt-plugins/platforms), minimalegl (from /opt/PixInsight/bin/./lib/qt-plugins/platforms), offscreen (from /opt/PixInsight/bin/./lib/qt-plugins/platforms), vnc (from /opt/PixInsight/bin/./lib/qt-plugins/platforms), wayland-egl (from /opt/PixInsight/bin/./lib/qt-plugins/platforms), wayland (from /opt/PixInsight/bin/./lib/qt-plugins/platforms), wayland-xcomposite-egl (from /opt/PixInsight/bin/./lib/qt-plugins/platforms), wayland-xcomposite-glx (from /opt/PixInsight/bin/./lib/qt-plugins/platforms), webgl (from /opt/PixInsight/bin/./lib/qt-plugins/platforms), xcb (from /opt/PixInsight/bin/./lib/qt-plugins/platforms), eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, webgl, xcb.

./PixInsight.sh: line 37: 19265 Aborted (core dumped) /opt/PixInsight/bin/./PixInsight

ldd PixInsight yields the following results:

bob@bob-Precision-T7610:/opt/PixInsight/bin$ ldd PixInsight
linux-vdso.so.1 (0x00007ffe7773a000)
libX11.so.6 => /lib/x86_64-linux-gnu/libX11.so.6 (0x00007fa87c685000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fa87c662000)
libssl.so.1.1 => /lib/x86_64-linux-gnu/libssl.so.1.1 (0x00007fa87c5cf000)
libcrypto.so.1.1 => /lib/x86_64-linux-gnu/libcrypto.so.1.1 (0x00007fa87c2f9000)
libQt5WebEngine.so.5 => not found
libQt5WebEngineCore.so.5 => not found
libQt5WebEngineWidgets.so.5 => not found
libQt5PrintSupport.so.5 => not found
libQt5X11Extras.so.5 => not found
libQt5Widgets.so.5 => not found
libQt5Gui.so.5 => not found
libQt5Svg.so.5 => not found
libQt5Network.so.5 => not found
libQt5Core.so.5 => not found
libmozjs-24.so => not found
libstdc++.so.6 => /lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007fa87c114000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fa87bfc5000)
libmvec.so.1 => /lib/x86_64-linux-gnu/libmvec.so.1 (0x00007fa87bf99000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fa87bf7c000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fa87bd8a000)
libxcb.so.1 => /lib/x86_64-linux-gnu/libxcb.so.1 (0x00007fa87bd60000)

I did a search of this forum and Google but only got one hit pertaining to PixInsight (and that was in this forum but not pertinent to my problem). I am new to Linux so I am at a loss as to just what to try next. This is totally repeatable, I have started from scratch several times to make sure I didn't have a file corruption problem.

Edit: I should mention that the PI icon appears in Ubuntu Applications window but does nothing if I click on it.

Any help would be appreciated,

BobT
Driftwood, TX
 

Juan Conejero

PTeam Member
Sep 2, 2004
7,605
107
56
Valencia, Spain
pixinsight.com
Hi Bob,

This problem cannot be reproduced. We use Ubuntu 20.04 and 18.04 on all of our workstations, and there are no problems at all. In fact, PixInsight 1.8.8-6 runs like a dream on Kubuntu 20.04 LTS, bordering on perfection.

Something is broken on your Linux desktop. I suggest a clean reinstall of your operating system.
 

hoxca

Member
Aug 28, 2016
9
0
hello Juan

Fresh install of ubuntu 20.04 here, the host is an AMD 3950x with 64Go RAM dedicaced to PixInsight.
=> seems to get the exact same problem [core dump]

hugh@spica:~/pixinstall$ /opt/PixInsight/bin/PixInsight.sh --opengl=desktop

PixInsight Core 1.8.8-6 Ripley (x64)
Copyright (c) 2003-2020 Pleiades Astrophoto

This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs (from /opt/PixInsight/bin/lib/qt-plugins/platforms), linuxfb (from /opt/PixInsight/bin/lib/qt-plugins/platforms), minimal (from /opt/PixInsight/bin/lib/qt-plugins/platforms), minimalegl (from /opt/PixInsight/bin/lib/qt-plugins/platforms), offscreen (from /opt/PixInsight/bin/lib/qt-plugins/platforms), vnc (from /opt/PixInsight/bin/lib/qt-plugins/platforms), wayland-egl (from /opt/PixInsight/bin/lib/qt-plugins/platforms), wayland (from /opt/PixInsight/bin/lib/qt-plugins/platforms), wayland-xcomposite-egl (from /opt/PixInsight/bin/lib/qt-plugins/platforms), wayland-xcomposite-glx (from /opt/PixInsight/bin/lib/qt-plugins/platforms), webgl (from /opt/PixInsight/bin/lib/qt-plugins/platforms), xcb (from /opt/PixInsight/bin/lib/qt-plugins/platforms), eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, webgl, xcb.

/opt/PixInsight/bin/PixInsight.sh: line 37: 7501 Aborted (core dumped) /opt/PixInsight/bin/PixInsight --opengl=desktop

I guess we are missing something...
 

hoxca

Member
Aug 28, 2016
9
0
Installed some prerequisite on my ubuntu 20.04
sudo apt-get install libqt5core5a libqt5svg5 libqt5webenginecore5 libqt5webengine5 libqt5webenginewidgets5 libqt5x11extras5

hugh@spica:/opt/PixInsight$ ./bin/PixInsight
./bin/PixInsight: error while loading shared libraries: libmozjs-24.so: cannot open shared object file: No such file or directory

I miss a xenial package for libmozjs-24 ?!

> note libmozjs-68-0 is installed here.

so i've downloaded this shared lib and the libffi6 dependency

sudo dpkg -i libffi6_3.2.1-4_amd64.deb
sudo dpkg -i libmozjs-24-0v5_24.2.0-3ubuntu2.1_amd64.deb

then re-installed PixInsight and now it's launching
 
Last edited:

Juan Conejero

PTeam Member
Sep 2, 2004
7,605
107
56
Valencia, Spain
pixinsight.com
PixInsight does not use any system-provided Qt and Mozilla libraries. The required shared objects are included in the official PixInsight distribution on all supported platforms and cannot be replaced. So the apt-get and dpkg commands you have used are completely irrelevant for PixInsight. On the other hand, the PixInsight core executable cannot be executed directly on Linux. You must use the launcher shell script instead: PixInsight.sh.

These problems do not happen under normal working conditions on Linux. As noted above, PixInsight 1.8.8-6 runs perfectly out of the box on Ubuntu 20.04 LTS. The machine-specific problems you are experiencing are being caused by external factors beyond our control.
 

hoxca

Member
Aug 28, 2016
9
0
Ok, Juan.

I understand what you mean by vendorification in /opt.
./bin/PixInsight was a stupid typo on my side !

But on my fresh install of Ubuntu 20.04, installed on the morning before downloading Pixinsight, i was experiencing the above behavior...
So i've used some system library to fix the ldd issue and pixinsight is now running !
Maybe a pre-requisite was not there during the first installation of pixinsight ?

Happy ending, i benchmarked the host [AMD 3950x running on linux] with some very good results ;)
Thank you for your hard work, Juan. PixInsight is even more impressive on Linux .

--
Regards,
HoxCa